# Class FieldMovePowerBoostAbAttr

#### Hierarchy (view full)

- FieldVariableMovePowerAbAttr
  - FieldMovePowerBoostAbAttr
    - FieldMoveTypePowerBoostAbAttr

- Defined in src/data/ability.ts:1169

#####
Index

### Constructors

constructor

### Properties

condition
powerMultiplier
showAbility

### Methods

addCondition
apply
applyPreAttack
getCondition
getTriggerMessage

## Constructors

### constructor

- new FieldMovePowerBoostAbAttr(condition, powerMultiplier): FieldMovePowerBoostAbAttr

- #### Parameters

  - condition: PokemonAttackCondition
  - powerMultiplier: number

  #### Returns FieldMovePowerBoostAbAttr

  Overrides FieldVariableMovePowerAbAttr.constructor

  - Defined in src/data/ability.ts:1173

## Properties

### `Private` condition

condition: PokemonAttackCondition

- Defined in src/data/ability.ts:1170

### `Private` powerMultiplier

powerMultiplier: number

- Defined in src/data/ability.ts:1171

### showAbility

showAbility: boolean

Inherited from FieldVariableMovePowerAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from FieldVariableMovePowerAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from FieldVariableMovePowerAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreAttack

- applyPreAttack(pokemon, passive, defender, move, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - defender: default
  - move: default
  - args: any[]

  #### Returns boolean

  Overrides FieldVariableMovePowerAbAttr.applyPreAttack

  - Defined in src/data/ability.ts:1179

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from FieldVariableMovePowerAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from FieldVariableMovePowerAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137